Package com.sun.mail.imap.protocol

# Class MODSEQ

java.lang.Object
com.sun.mail.imap.protocol.MODSEQ

All Implemented Interfaces:
  `Item`

public class MODSEQ extends Object implements Item
This class represents the MODSEQ data item.

Since:
  JavaMail 1.5.1
Author:
  Bill Shannon

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`modseq`
`int`
`seqnum`

## Constructor Summary

Constructors
Constructor
Description
`MODSEQ(FetchResponse r)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### seqnum

public int seqnum

### modseq

public long modseq

## Constructor Details

### MODSEQ

public MODSEQ(FetchResponse r) throws ParsingException
Constructor.

Parameters:
  `r` - the FetchResponse
Throws:
  `ParsingException` - for parsing failures